## org.hibernate.metamodel.source.binder
Interface SubclassEntitySource

All Superinterfaces:
  AttributeSourceContainer, EntitySource, SubclassEntityContainer

All Known Implementing Classes:
  SubclassEntitySourceImpl, SubclassEntitySourceImpl

    public interface SubclassEntitySource

extends EntitySource

Method Summary

Methods inherited from interface org.hibernate.metamodel.source.binder.EntitySource

`getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getDiscriminatorMatchValue, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getPrimaryTable, getProxy, getSecondaryTables, getSynchronizedTableNames, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes`

Methods inherited from interface org.hibernate.metamodel.source.binder.SubclassEntityContainer
`add, subclassEntitySources`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSourceContainer
`attributeSources, getPath`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.